> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List slates the caller can manage

> List manageable slates. Supply either owner_user_id or owner_organization_id, or omit both to list all manageable slates.



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /slates
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates:
    get:
      tags:
        - Slates
      summary: List slates the caller can manage
      description: >-
        List manageable slates. Supply either owner_user_id or
        owner_organization_id, or omit both to list all manageable slates.
      operationId: listSlates
      parameters:
        - schema:
            type: string
            minLength: 1
            description: Filter by the owning Better Auth organization ID
          required: false
          description: Filter by the owning Better Auth organization ID
          name: owner_organization_id
          in: query
        - schema:
            type: string
            minLength: 1
            description: Filter by the owning Better Auth user ID
          required: false
          description: Filter by the owning Better Auth user ID
          name: owner_user_id
          in: query
      responses:
        '200':
          description: Slates owned by this user or their organizations
          content:
            application/json:
              schema:
                type: object
                properties:
                  slates:
                    type: array
                    items:
                      allOf:
                        - $ref: '#/components/schemas/Slate'
                        - type: object
                          properties:
                            latest_commit:
                              type:
                                - string
                                - 'null'
                          required:
                            - latest_commit
                required:
                  - slates
        '400':
          description: Invalid ownership filter; supply at most one Owner ID
        '401':
          description: A valid ContextLayer login is required
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  schemas:
    Slate:
      type: object
      properties:
        id:
          type: string
          format: uuid
        owner_organization_id:
          type:
            - string
            - 'null'
          minLength: 1
        owner_user_id:
          type:
            - string
            - 'null'
          minLength: 1
        public_hostname:
          type: string
        visibility:
          type: string
          enum:
            - public
            - private
      required:
        - id
        - owner_organization_id
        - owner_user_id
        - public_hostname
        - visibility
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.